Update extracted fields
curl --request PATCH \
--url https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}/ai/field-extraction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"sender_name": "Jane Doe",
"sender_company": "Acme Corporation",
"date": "2026-01-15"
}
}
'import requests
url = "https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}/ai/field-extraction"
payload = { "data": {
"sender_name": "Jane Doe",
"sender_company": "Acme Corporation",
"date": "2026-01-15"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
sender_name: 'Jane Doe',
sender_company: 'Acme Corporation',
date: '2026-01-15'
}
})
};
fetch('https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}/ai/field-extraction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "finished",
"data": {
"sender_name": "John Doe",
"sender_company": "Acme Corp",
"date": "2026-01-15",
"reference_number": "INV-2026-001"
}
}{
"error": "invalid_user_id",
"description": "Invalid user id given"
}{
"error": "unauthorized",
"description": "The access token provided is expired, revoked, malformed, or invalid for other reasons."
}{
"error": "bad_request",
"description": "Requested resource was not found."
}{
"error": "internal_server_error",
"description": "An unexpected error happened, please contact support"
}Fax AI
Update extracted fields
Update the extracted field data with user corrections. Only allowed when field extraction status is finished. (Permitted scopes: fax:all:edit, fax:ai:edit)
PATCH
/
accounts
/
{user_id}
/
faxes
/
{fax_id}
/
ai
/
field-extraction
Update extracted fields
Authorizations
oauth2personal_access_token
OAuth2 Authorization Grant
Path Parameters
User ID. Use 'self' for your own account, or provide a specific user ID for corporate member accounts.
The unique identifier of the fax
Body
application/json
Request to update extracted field data with user corrections
Updated field data as key-value pairs
Response
Response containing field extraction status and result
⌘I